Loading...
Searching...
No Matches
mdds::trie::default_traits Struct Reference

## Public Types

using | pack_value_type = uintptr_t

## Member Typedef Documentation

## pack_value_type

using mdds::trie::default_traits::pack_value_type = uintptr_t

Unit value type of a buffer used in packed_trie_map to store its content. It must be an unsigned integral type.

Note
  Maximum number of key-value pairs that can be stored in the packed_trie_map variant is the maximum value that can be expressed by this type minus one. For instance, if the size of this type is 8-bits, only up to 255 key-value pairs can be stored.